Bug 1347648 - Apache can not cache content if Expires header is modified
Summary: Apache can not cache content if Expires header is modified
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: httpd
Version: 7.2
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Luboš Uhliarik
QA Contact: Martin Frodl
URL:
Whiteboard:
Depends On: 1331341
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-17 10:28 UTC by Marcel Kolaja
Modified: 2021-01-14 09:34 UTC (History)
5 users (show)

Fixed In Version: httpd-2.4.6-40.el7_2.2
Doc Type: Bug Fix
Doc Text:
In a caching proxy configuration, the mod_cache module would treat content as stale if the Expires header changed when refreshing a cached response. As a consequence, an origin server returning content without a fixed Expires header would not be treated as cacheable. The mod_cache module has been fixed to ignore changes in the Expires header when refreshing content. As a result, such content is now cacheable, improving performance and reducing load at the origin server.
Clone Of: 1331341
Environment:
Last Closed: 2016-07-18 16:50:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1422 0 normal SHIPPED_LIVE Important: httpd security and bug fix update 2016-07-18 20:50:15 UTC

Description Marcel Kolaja 2016-06-17 10:28:37 UTC
This bug has been copied from bug #1331341 and has been proposed
to be backported to 7.2 z-stream (EUS).

Comment 9 errata-xmlrpc 2016-07-18 16:50:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:1422


Note You need to log in before you can comment on or make changes to this bug.